package jj.tech.paolu.repository.mybatis.control;

import jj.tech.paolu.repository.mybatis.dao.SysMenuMapper;
import jj.tech.paolu.repository.mybatis.entity.SysMenu;
import jj.tech.paolu.utils.IDHelp;
import jj.tech.paolu.utils.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("mybatis/sysMenu")
public class SysMenuController {

    @Autowired
    public SysMenuMapper sysMenuMapper;

    @PostMapping("findById/{id}")
    public Object findById(@PathVariable("id") String id) {
        return R.SUCCESS(sysMenuMapper.selectByPrimaryKey(id).orElse(null));
    }

    @PostMapping("delete/{id}")
    public Object delete(@PathVariable("id") String id) {
        return R.SUCCESS(sysMenuMapper.deleteByPrimaryKey(id));
    }

    @PostMapping("save")
    public Object save(@RequestBody SysMenu record) {
        record.setId(IDHelp.getInstance().nextId());
        return R.SUCCESS(sysMenuMapper.insertSelective(record));
    }

    @PostMapping("update")
    public Object update(@RequestBody SysMenu record) {
        return R.SUCCESS(sysMenuMapper.updateByPrimaryKeySelective(record));
    }
}